Bug 61991 - Servlets on Linux crashing Alpha-VMS NFS server with Null Pointer Exception
Servlets on Linux crashing Alpha-VMS NFS server with Null Pointer Exception
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: nfs-utils (Show other bugs)
7.2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Ben Levenson
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-26 11:47 EST by Need Real Name
Modified: 2007-04-18 12:41 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-19 12:05:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-03-26 11:47:56 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 4.0)

Description of problem:
I currently am using Java Servlets to access a data-output log located on an 
Alpha-VMS system through NFS.  I am using a BufferedInputStream to read and 
parse the data in real-time.  When the servlet throws a NullPointerException 
that has not been caught, it crashes the NFS server on the Aplha.  I know that 
the obvious answer would be to catch the exception (which I have now 
implemented) but was wondering if this was a bug within the current NFS spec.  
It would seem very odd, and weak of NFS, that a little NullPointerException 
would crash the NFS server.  

Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
1.write servlet to read file across platform using NFS with BufferedInputStream.
2.read through to the end of the file
3.if the data that was searched for was not found and nothing is returned to 
the webapplication, then a null pointer is thrown.  this is usually what causes 
the crash
	

Additional info:

Note You need to log in before you can comment on or make changes to this bug.